%global debug_package %{nil}

Name:           ocaml-xml-light
Version:        2.5
Release:        1
Summary:        Minimal XML parser and printer for OCaml
License:        LGPLv2+
URL:            http://tech.motion-twin.com/xmllight.html
Source0:        https://github.com/ncannasse/xml-light/archive/%{version}/xml-light-%{version}.tar.gz
BuildRequires:  ocaml >= 4.03
BuildRequires:  ocaml-dune >= 2.7


%description
The package provides functions to parse an XML document into an OCaml data structure and print it back to an XML document.
It support also DTD parsing and checking, and is entirely written in OCaml, hence it does not require additional C library.


%package        devel
Summary:        Development files for ocaml-xml-light
Group:          Development/Libraries
Requires:       ocaml-xml-light = %{version}-%{release}

%description    devel
The ocaml-xml-light-devel package contains libraries and signature files for
developing applications that use ocaml-xml-light.


%prep
%autosetup -n xml-light-%{version}

%build
dune build %{?_smp_mflags} --verbose --profile release

%install
dune install --destdir=%{buildroot}
rm -rf %{buildroot}/usr/doc

%check
dune runtest --verbose --release %{?_smp_mflags}

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/xml-light
%exclude %{_libdir}/ocaml/xml-light/*.a
%exclude %{_libdir}/ocaml/xml-light/*.cmxa
%exclude %{_libdir}/ocaml/xml-light/*.cmx
%exclude %{_libdir}/ocaml/xml-light/*.mli


%files devel
%doc README.md
%license LICENSE
%{_libdir}/ocaml/xml-light/*.a
%{_libdir}/ocaml/xml-light/*.cmxa
%{_libdir}/ocaml/xml-light/*.cmx
%{_libdir}/ocaml/xml-light/*.mli


%changelog
* Thu Sep 21 2023 wangkai <13474090681@163.com> - 2.5-1
- Update to 2.5

* Thu Feb 27 2020 zhujunhao <zhujunhao5@huawei.com> - 2.4-0.31.1
- Package init
